#!/bin/bash

# Script written by Pawel Pilarczyk. No rights reserved.

# determine the right directory for CAPD
if [ -e ~/cur/capd-capdDynSys-4.2.153/configure ]
then
	MY_CAPD_PREFIX=${HOME}/cur/capd4
else
	MY_CAPD_PREFIX=${HOME}/capd4
fi

mkdir ${MY_CAPD_PREFIX}
mkdir ${MY_CAPD_PREFIX}/../capd4compile
cd ${MY_CAPD_PREFIX}/../capd4compile
sh ../capd-capdDynSys-4.2.153/configure --prefix ${MY_CAPD_PREFIX} --with-filib=yes --with-mpfr=no --with-boost=/usr --without-gui CXXFLAGS="-O2 -Wno-misleading-indentation -Wno-deprecated"

### NECESSARY FIX - TO DO BEFORE COMPILING ###
#
# in a text editor, open the file:
# /capd-capdDynSys-4.2.153/capdAlg/src/capd/vectalg/IMatrix.cpp
# and add the following line, e.g., somewhere around line 49:
# template Matrix<capd::DInterval,CAPD_DEFAULT_DIMENSION,CAPD_DEFAULT_DIMENSION>& addAssignObjectObject<>(Matrix<capd::DInterval,CAPD_DEFAULT_DIMENSION,CAPD_DEFAULT_DIMENSION>&, Matrix<capd::DInterval,CAPD_DEFAULT_DIMENSION,CAPD_DEFAULT_DIMENSION> const&);
#
#####################

# make -j9
# make install


